### Constructor

# Vips Image zone

#### Declaration [src]

    int
    vips_zone (
      VipsImage** out,
      int width,
      int height,
      ...
    )

#### Description [src]

Create a one-band image of a zone plate.

Pixels are normally in [-1, +1], set `uchar` to output [0, 255].

Optional arguments

- `uchar`: `gboolean`, output a uchar image

See also

`vips_eye()`, `vips_xyz()`.

This constructor is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`width`

  Type: `int`

  Image size.

`height`

  Type: `int`

  Image size.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.